# class Psych::Visitors::JSONTree

### Public Class Methods

create (options = {})
Source

    # File ext/psych/lib/psych/visitors/json_tree.rb, line 9
    def self.create options = {}
      emitter = Psych::JSON::TreeBuilder.new
      class_loader = ClassLoader.new
      ss           = ScalarScanner.new class_loader
      new(emitter, ss, options)
    end

### Public Instance Methods

accept (target)
Source

    # File ext/psych/lib/psych/visitors/json_tree.rb, line 16
    def accept target
      if target.respond_to?(:encode_with)
        dump_coder target
      else
        send(@dispatch_cache[target.class], target)
      end
    end